ASTValidationErrorsHelper (Grails 5.3.2)

Package: org.grails.compiler.injection

## [Java] Class ASTValidationErrorsHelper

- org.grails.compiler.injection.ASTValidationErrorsHelper

- All Implemented Interfaces and Traits:
    ASTErrorsHelper

      public class ASTValidationErrorsHelper
      extends java.lang.Object
      implements ASTErrorsHelper

  Authors:
    Jeff Brown

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addClearErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addErrorsField(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addGetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addHasErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addInitErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `protected void` | `addSetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)`
    `` | `public void` | `injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected void addClearErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addErrorsField(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addGetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addHasErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addInitErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### protected void addSetErrorsMethod(org.codehaus.groovy.ast.ClassNode paramTypeClassNode)

    - #### public void injectErrorsCode(org.codehaus.groovy.ast.ClassNode classNode)